package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class NetworkInterfaces {
    private String kb;
    private String kxe;
    private Metadata metadata;
    private ManagementConsoleNetworkInterface managementConsoleNetworkInterface;

    public NetworkInterfaces() {
    }

    public String getKb() {
        return kb;
    }

    public void setKb(String kb) {
        this.kb = kb;
    }

    public String getKxe() {
        return kxe;
    }

    public void setKxe(String kxe) {
        this.kxe = kxe;
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public ManagementConsoleNetworkInterface getManagementConsoleNetworkInterface() {
        return managementConsoleNetworkInterface;
    }

    public void setManagementConsoleNetworkInterface(
        ManagementConsoleNetworkInterface managementConsoleNetworkInterface) {
        this.managementConsoleNetworkInterface = managementConsoleNetworkInterface;
    }

    @Override
    public String toString() {
        return "NetworkInterfaces [kb=" + kb + ", kxe=" + kxe + ", metadata="
            + metadata + ", managementConsoleNetworkInterface=" + managementConsoleNetworkInterface + "]";
    }
}
